Subject: Re: [PATCH iwl-net v2] ice: alter feature support check for SRIOV and LAG

From: Simon Horman <[email-masked]>
Date: Fri, 15 Dec 2023 12:07:05 +0000

On Mon, Dec 11, 2023 at 01:19:28PM -0800, Dave Ertman wrote:
> Previously, the ice driver had support for using a hanldler for bonding
> netdev events to ensure that conflicting features were not allowed to be
> activated at the same time.  While this was still in place, additional
> support was added to specifically support SRIOV and LAG together.  These
> both utilized the netdev event handler, but the SRIOV and LAG feature was
> behind a capabilities feature check to make sure the current NVM has
> support.
> 
> The exclusion part of the event handler should be removed since there are
> users who have custom made solutions that depend on the non-exclusion of
> features.
> 
> Wrap the creation/registration and cleanup of the event handler and
> associated structs in the probe flow with a feature check so that the
> only systems that support the full implementation of LAG features will
> initialize support.  This will leave other systems unhindered with
> functionality as it existed before any LAG code was added.
> 
> Fixes: bb52f42acef6 ("ice: Add driver support for firmware changes for LAG")
> Reviewed-by: Jesse Brandeburg <[email-masked]>
> Signed-off-by: Dave Ertman <[email-masked]>

Hi Dave,

I'm interpreting this as fixing a regression of an existing feature.
In that context:

Reviewed-by: Simon Horman <[email-masked]>